cURL
curl --request GET \ --url https://api.starleads.co/Dataset \ --header 'X-Api-Key: <api-key>'
{ "data": [ { "id": "<string>", "name": "<string>", "description": "<string>", "chunkMethod": "<string>", "parserConfig": { "chunkTokenNum": 123, "layoutRecognize": true, "delimiter": "<string>", "taskPageSize": 123 }, "createdAt": "2023-11-07T05:31:56Z" } ], "total": 123, "pageNumber": 123, "pageSize": 123 }
Retrieves a paginated list of datasets belonging to the authenticated company.
Api key to pass as a X-Api-Key request header.
X-Api-Key
Page number (starts at 1, default: 1).
x >= 1
Number of items per page (1 to 100, default: 50).
1 <= x <= 100
Success
Paginated response containing datasets
List of datasets for the current page
Show child attributes
Total number of items across all pages
Current page number
Number of items per page